Main Page Widgets Namespaces Book

# Gtk::Alignment Class Reference
[Widgets, Container Widgets]

Inheritance diagram for Gtk::Alignment:

[legend]
List of all members.

## Detailed Description

A widget which controls the alignment and size of its child.

Normally, a widget is allocated at least as much size as it requests, and, most widgets expand to fill any extra allocated space, but sometimes this behavior is not desired. The alignment widget allows the programmer to specify how a widget should expand and position itself to fill the area it is allocated.

It has four settings: xscale, yscale, xalign, and yalign: The scale settings specify how much the child widget should expand to fill the space allocated to the Gtk::Alignment. The values can range from 0 (meaning the child doesn't expand at all) to 1 (meaning the child expands to fill all of the available space). The align settings place the child widget within the available area. The values range from 0 (top or left) to 1 (bottom or right). Of course, if the scale settings are both set to 1, the alignment settings have no effect.

## Public Member Functions

virtual | ~Alignment ()
GtkAlignment* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkAlignment* | gobj () const
| Provides access to the underlying C GtkObject.
| Alignment (float xalign=0.5, float yalign=0.5, float xscale=1.0, float yscale=1.0)
| Constructor to create an Alignment object.
| Alignment (AlignmentEnum xalign, AlignmentEnum yalign=Gtk::ALIGN_CENTER, float xscale=1.0, float yscale=1.0)
| Constructor to create an Alignment object.
void | set (float xalign=0.5, float yalign=0.5, float xscale=1.0, float yscale=1.0)
| Sets the Alignment values.
void | set (AlignmentEnum xalign, AlignmentEnum yalign=Gtk::ALIGN_CENTER, float xscale=1.0, float yscale=1.0)
| Sets the Alignment values.
Glib::PropertyProxy<float> | property_xalign ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<float> | property_yalign ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<float> | property_xscale ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<float> | property_yscale ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Related Functions

(Note that these are not member functions.)
Gtk::Alignment* | wrap (GtkAlignment* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Alignment::~Alignment | ( |  | ) | `[virtual]`

Gtk::Alignment::Alignment | ( | float | xalign = 0.5,
|  | float | yalign = 0.5,
|  | float | xscale = 1.0,
|  | float | yscale = 1.0
| ) | `[explicit]`

Constructor to create an Alignment object.

Parameters:

  xalign | The initial horizontal alignment of the child.
  yalign | The initial vertical alignment of the child.
  xscale | The initial amount that the child expands horizontally to fill up unused space.
  yscale | The initial amount that the child expands vertically to fill up unused space.

Gtk::Alignment::Alignment | ( | AlignmentEnum | xalign,
|  | AlignmentEnum | yalign = Gtk::ALIGN_CENTER,
|  | float | xscale = 1.0,
|  | float | yscale = 1.0
| ) | `[explicit]`

Constructor to create an Alignment object.

Parameters:

  xalign | A Gtk::AlignmentEnum describing the initial horizontal alignment of the child.
  yalign | A Gtk::AlignmentEnum describing the initial vertical alignment of the child.
  xscale | The initial amount that the child expands horizontally to fill up unused space.
  yscale | The initial amount that the child expands vertically to fill up unused space.

## Member Function Documentation

const GtkAlignment* Gtk::Alignment::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin.

GtkAlignment* Gtk::Alignment::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Bin.

Glib::PropertyProxy<float> Gtk::Alignment::property_xalign | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Alignment::property_xscale | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Alignment::property_yalign | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gtk::Alignment::property_yscale | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Alignment::set | ( | AlignmentEnum | xalign,
|  | AlignmentEnum | yalign = Gtk::ALIGN_CENTER,
|  | float | xscale = 1.0,
|  | float | yscale = 1.0
| ) |

Sets the Alignment values.

Parameters:

  xalign | The horizontal alignment of the child of this Alignment, from 0 (left) to 1 (right).
  yalign | The vertical alignment of the child of this Alignment, from 0 (top) to 1 (bottom).
  xscale | The amount that the child expands horizontally to fill up unused space, from 0 to 1. A value of 0 indicates that the child widget should never expand. A value of 1 indicates that the child widget will expand to fill all the space allocated for the Alignment.
  yscale | The amount that the child widget expands vertically to fill up unused space from 0 to 1. The values are similar to xscale .

void Gtk::Alignment::set | ( | float | xalign = 0.5,
|  | float | yalign = 0.5,
|  | float | xscale = 1.0,
|  | float | yscale = 1.0
| ) |

Sets the Alignment values.

Parameters:

  xalign | The horizontal alignment of the child of this Alignment, from 0 (left) to 1 (right).
  yalign | The vertical alignment of the child of this Alignment, from 0 (top) to 1 (bottom).
  xscale | The amount that the child expands horizontally to fill up unused space, from 0 to 1. A value of 0 indicates that the child widget should never expand. A value of 1 indicates that the child widget will expand to fill all the space allocated for the Alignment.
  yscale | The amount that the child widget expands vertically to fill up unused space from 0 to 1. The values are similar to xscale .

## Friends And Related Function Documentation

Gtk::Alignment* wrap | ( | GtkAlignment* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- alignment.h